Memos
Memo Service

List Memo Attachments

ListMemoAttachments lists attachments for a memo.

GET
/api/v1/memos/{memo}/attachments

Path Parameters

memo*string

The memo id.

Query Parameters

pageSize?integer

Optional. The maximum number of attachments to return.

Formatint32
pageToken?string

Optional. A page token for pagination.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/memos/string/attachments"
{  "attachments": [    {      "name": "string",      "createTime": "2019-08-24T14:15:22Z",      "filename": "string",      "content": "string",      "externalLink": "string",      "type": "string",      "size": "string",      "memo": "string",      "motionMedia": {        "family": "MOTION_MEDIA_FAMILY_UNSPECIFIED",        "role": "MOTION_MEDIA_ROLE_UNSPECIFIED",        "groupId": "string",        "presentationTimestampUs": "string",        "hasEmbeddedVideo": true      }    }  ],  "nextPageToken": "string"}